{% extends 'base.html.twig' %}

{% block title %}SnowTricks{% endblock %}

{% block body %}

    {% for label, messages in app.flashes %}
        {% for message in messages %}
            <div class="alert alert-{{ label }} temporary">{{ message }}</div>
        {% endfor %}
    {% endfor %}


    <div class="content-body mb-5">


        <div class="dev-index-image-trick">
            <img src="{{ asset('asset/images/p6_index_image.jpg') }}" alt="" class="index-image">
            <a href="#tricks" class="index-image-icon"><i class="fa-solid fa-arrow-down"></i></a>
        </div>

        <div class="row" id="tricks">
            {% for trick in tricks %}
                <div class="mt-2 mb-2 d-flex align-items-center justify-content-center dev-card-width oneTrick">
                    <div class="card" style="width: 18rem;">
                        <a href="/trick/details/{{ trick.slug }}"
                           class=""><img
                                    class="card-img-top" src="{{ asset('uploads/' ~ trick.images[0]) }}"
                                    alt="Card image cap"
                                    style="width: 100%; height: 200px; object-fit: cover;"></a>
                        <div class="card-body d-flex justify-content-between">
                            <a href="/trick/details/{{ trick.slug }}"
                               class="text-decoration-none text-black"><h5 class="card-title">{{ trick.name }}</h5></a>
                            {% if (trick.user.userIdentifier is same as app.user.email|default('test.test')) or ('ROLE_ADMIN' in app.user.roles|default('ROLE_USER'))%}
                                <div class="">
                                    <div class="">
                                        <a href="/modify/trick/{{ trick.slug }}"><img
                                                    src="{{ asset('asset/icons/pen.svg') }}"
                                                    alt=""
                                                    class="dev-card-icons"></a>
                                        <img src="{{ asset('asset/icons/trash.svg') }}" alt=""
                                             class="dev-card-icons" onclick="wantToDelete({{ trick.id }})">
                                    </div>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <div id="confirmDelete-{{ trick.id }}" class="confirmDelete" style="display: none">
                    <div id="confirmDelete-content" class="pt-4 pb-4">
                        <div class="d-flex align-items-center justify-content-center flex-column">
                            <p class="text-center">Voulez-vous supprimer ce trick : {{ trick.name }} ? Cette action est irréversible</p>
                            <p id="confirmDelete-content-nameTrick"></p>
                        </div>
                        <div class="d-flex justify-content-center">
                            <button class="btn btn-success mx-3" onclick="cancelDelete({{ trick.id }})">Non</button>
                            <button class="btn btn-danger mx-3" onclick="confirmDelete({{ trick.id }})">Oui</button>

                        </div>

                    </div>
                </div>
            {% endfor %}
        </div>

        {% if allTricksLenght > 10 %}
            <div class="d-flex align-items-center justify-content-center mt-3">
                <button class="btn btn-primary" onclick="test()" id="seeMoreTricks">Voir plus</button>
            </div>
        {% endif %}

        <div class="arrow-up">
            <a href="#tricks" class="index-image-icon"><i class="fa-solid fa-arrow-up"></i></a>
        </div>
    </div>

    <script>
        function test() {
            var tricksBody = document.getElementById('tricks');
            var buttonTrick = document.getElementById('seeMoreTricks');

            var xhr = new XMLHttpRequest();
            xhr.open('GET', '/get/tricks');
            xhr.setRequestHeader('Content-Type', 'application/json');
            xhr.onload = function () {
                if (xhr.status === 200) {
                    var response = JSON.parse(xhr.responseText);
                    console.log(response);
                    console.log(response.tricks[0]);
                    console.log(response.user.user.actualUser);
                    console.log(response.user.user.actualUserRoles);

                    response.tricks[0].forEach(function (product) {

                        var divGeneral = document.createElement('div');
                        var divTrick = document.createElement('div');
                        var divDescription = document.createElement('div');
                        var aTitle = document.createElement('a');
                        var h5Title = document.createElement('h5');
                        var divAction = document.createElement('div');
                        var aModify = document.createElement('a');
                        var imgPen = document.createElement('img');
                        var imgTrash = document.createElement('img');
                        var aImage = document.createElement('a');
                        var imgTrick = document.createElement('img');


                        if (product.id === response.user.user.actualUser || response.user.user.actualUserRoles.includes('ROLE_ADMIN')) {
                            imgPen.setAttribute('src', '{{ asset('asset/icons/pen.svg') }}');
                            imgPen.setAttribute('alt', '');
                            imgPen.setAttribute('class', 'dev-card-icons');

                            imgTrash.setAttribute('src', '{{ asset('asset/icons/trash.svg') }}');
                            imgTrash.setAttribute('alt', '');
                            imgTrash.setAttribute('class', 'dev-card-icons');
                            imgTrash.setAttribute('onclick', 'wantToDelete()');

                            aModify.setAttribute('href', '/modify/trick/' + product.slug);
                            aModify.appendChild(imgPen);

                            divAction.setAttribute('class', '');
                            divAction.appendChild(aModify);
                            divAction.appendChild(imgTrash);
                        }

                        h5Title.innerHTML = product.name;
                        h5Title.setAttribute('class', 'card-title');
                        aTitle.setAttribute('href', '/trick/details/' + product.slug);
                        aTitle.setAttribute('class', 'text-decoration-none text-black')
                        aTitle.appendChild(h5Title);
                        divDescription.setAttribute('class', 'card-body d-flex justify-content-between');
                        divDescription.appendChild(aTitle);
                        divDescription.appendChild(divAction);

                        imgTrick.setAttribute('class', 'card-img-top');
                        imgTrick.setAttribute('src', '{{ asset('uploads/') }}' + product.image);
                        imgTrick.setAttribute('alt', 'Card image cap');
                        imgTrick.setAttribute('style', 'width: 100%; height: 200px; object-fit: cover');
                        aImage.setAttribute('href', '/trick/details/' + product.slug);
                        aImage.appendChild(imgTrick);
                        divTrick.appendChild(aImage);


                        divTrick.setAttribute('class', 'card');
                        divTrick.style.width = '18rem';

                        divGeneral.setAttribute('class', 'mt-2 mb-2 d-flex align-items-center justify-content-center dev-card-width oneTrick');


                        divTrick.appendChild(divDescription);
                        divGeneral.appendChild(divTrick)


                        var divConfirmDeleteGeneral = document.createElement('div');
                        var divConfirmDeleteContent = document.createElement('div');
                        var divMessage = document.createElement('div');
                        var divButton = document.createElement('div');
                        var pMessage = document.createElement('p');
                        var pMessage2 = document.createElement('p');
                        var buttonYes = document.createElement('button');
                        var buttonNo = document.createElement('button');


                        buttonYes.setAttribute('class', 'btn btn-danger mx-3');
                        buttonYes.setAttribute('onclick', 'confirmDelete(' + product.trickId + ')');
                        buttonYes.innerHTML = 'Oui';

                        buttonNo.setAttribute('class', 'btn btn-primary');
                        buttonNo.setAttribute('onclick', 'cancelDelete()');
                        buttonNo.innerHTML = 'Non';

                        pMessage.innerHTML = 'Voulez-vous vraiment supprimer le trick : ';
                        pMessage2.innerHTML = product.name;

                        divMessage.setAttribute('class', 'd-flex justify-content-center');
                        divMessage.appendChild(pMessage);
                        divMessage.appendChild(pMessage2);

                        divButton.setAttribute('class', 'd-flex justify-content-center');
                        divButton.appendChild(buttonYes);
                        divButton.appendChild(buttonNo);

                        divConfirmDeleteContent.setAttribute('class', 'confirmDelete-content');
                        divConfirmDeleteContent.appendChild(divMessage);

                        divConfirmDeleteContent.appendChild(divButton);

                        divConfirmDeleteGeneral.setAttribute('class', 'confirmDelete');

                        divConfirmDeleteGeneral.setAttribute('id', 'confirmDelete');

                        divConfirmDeleteGeneral.appendChild(divConfirmDeleteContent);

                        divGeneral.appendChild(divConfirmDeleteGeneral);




                        tricksBody.appendChild(divGeneral);
                    });

                    buttonTrick.remove();
                }
            };
            xhr.send();

        }

        function wantToDelete(id) {
            var confirmDelete = document.getElementById('confirmDelete-'+ id);
            console.log(id)
            confirmDelete.style.display = "block";
            // var confirmDeleteContentNameTrick = document.getElementById('confirmDelete-content-nameTrick');
            // confirmDeleteContentNameTrick.innerHTML = nameTrick;
        }

        function confirmDelete(id) {
            window.location.href = '/delete/trick/' + id;
        }

        function cancelDelete(id) {
            var confirmDelete = document.getElementById('confirmDelete-'+ id);
            confirmDelete.style.display = "none";

        }
    </script>
{% endblock %}
